Ich wollte vor ein paar Tagen die aktuelle Version 2.11.1 von R installieren. Es gibt leider kein aktuelles R-Pakage für Solaris. Auf sunfreeware gibt es ein R-Package in der Version 2.7.2. Also blieb mir nichts anderes übrig, als R selbst zu übersetzten. Leider ging das nicht auf Anhieb. Ich habe folgende Fehlermeldung bekommen:

checking for iconv.h... yes
checking for iconv... yes
checking whether iconv accepts "UTF-8", "latin1", "ASCII" and "UCS-*"... no
configure: error: a suitable iconv is essential

Ich habe von blastwave libiconv installiert und bei meiner Solaris 10 Box noch denn gcc 4. Bei OpenSolaris habe ich das Pakage pkg:/developer/gcc/gcc-43 installiert. Es gibt CGLAGS für Sparc und für x86

rennecke@walhalla /tmp/R-2.11.1 % ./configure CFLAGS=-I/opt/csw/include \
`> LDFLAGS=-L/opt/csw/lib \
`> GCC=/usr/gcc/4.3/bin/gcc\
`> CFLAGS='<falg 1> <flag 2> <flag 3>' \
`> --prefix=/opt/R
....
rennecke@walhalla /tmp/R-2.11.1 % gmake